Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2724953004: Test actual arguments in WebStateImplTest::ObserverTest. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 3 weeks ago by Eugene But
Modified:
5 months, 3 weeks ago
Reviewers:
kkhorimoto
CC:
chromium-reviews, Eugene But
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Test actual arguments in WebStateImplTest::ObserverTest. Also added tests for all Observer methods. BUG=None Review-Url: https://codereview.chromium.org/2724953004 Cr-Commit-Position: refs/heads/master@{#454462} Committed: https://chromium.googlesource.com/chromium/src/+/e7305717cc00669fc2d4f8a718032f7c0023f9cf

Patch Set 1 #

Patch Set 2 : Rebased #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+502 lines, -191 lines) Patch
M ios/web/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M ios/web/public/test/fakes/crw_test_web_state_observer.h View 2 chunks +1 line, -105 lines 0 comments Download
M ios/web/public/test/fakes/crw_test_web_state_observer.mm View 5 chunks +18 lines, -12 lines 0 comments Download
M ios/web/public/test/fakes/test_web_state_observer.h View 2 chunks +96 lines, -33 lines 0 comments Download
M ios/web/public/test/fakes/test_web_state_observer.mm View 1 chunk +115 lines, -16 lines 0 comments Download
A ios/web/public/test/fakes/test_web_state_observer_util.h View 1 1 chunk +121 lines, -0 lines 0 comments Download
A ios/web/public/test/fakes/test_web_state_observer_util.mm View 1 1 chunk +12 lines, -0 lines 2 comments Download
M ios/web/web_state/web_state_impl_unittest.mm View 2 chunks +130 lines, -24 lines 0 comments Download
M ios/web/web_state/web_state_observer_bridge_unittest.mm View 1 chunk +7 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (12 generated)
Eugene But
5 months, 3 weeks ago (2017-03-02 16:30:02 UTC) #8
kkhorimoto
https://codereview.chromium.org/2724953004/diff/20001/ios/web/public/test/fakes/test_web_state_observer_util.mm File ios/web/public/test/fakes/test_web_state_observer_util.mm (right): https://codereview.chromium.org/2724953004/diff/20001/ios/web/public/test/fakes/test_web_state_observer_util.mm#newcode10 ios/web/public/test/fakes/test_web_state_observer_util.mm:10: TestDidFinishNavigationInfo::TestDidFinishNavigationInfo() {} Why are these in the .mm file? ...
5 months, 3 weeks ago (2017-03-02 20:50:40 UTC) #11
Eugene But
https://codereview.chromium.org/2724953004/diff/20001/ios/web/public/test/fakes/test_web_state_observer_util.mm File ios/web/public/test/fakes/test_web_state_observer_util.mm (right): https://codereview.chromium.org/2724953004/diff/20001/ios/web/public/test/fakes/test_web_state_observer_util.mm#newcode10 ios/web/public/test/fakes/test_web_state_observer_util.mm:10: TestDidFinishNavigationInfo::TestDidFinishNavigationInfo() {} On 2017/03/02 20:50:40, kkhorimoto_ wrote: > Why ...
5 months, 3 weeks ago (2017-03-02 23:08:48 UTC) #12
kkhorimoto
lgtm
5 months, 3 weeks ago (2017-03-03 00:25:50 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2724953004/20001
5 months, 3 weeks ago (2017-03-03 01:48:55 UTC) #15
commit-bot: I haz the power
5 months, 3 weeks ago (2017-03-03 01:54:22 UTC) #18
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/e7305717cc00669fc2d4f8a71803...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b